Skip to main content
GET
/
api
/
v2
/
customers
/
{id}
/
points
/
history
Get customer points history
curl --request GET \
  --url https://api.zupy.com/api/v2/customers/{id}/points/history/ \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "activity_type": "scan_pass",
      "activity_type_display": "<string>",
      "points_amount": 123,
      "description": "<string>",
      "balance_before": 123,
      "balance_after": 123,
      "activity_date": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "cursor": "<string>",
    "has_next": true,
    "count": 123
  }
}

Authorizations

X-API-Key
string
header
required

API key for partner access via APISIX key-auth plugin

Path Parameters

id
string
required

Unique identifier for this customer.

Response

data
object[]
required
meta
object
required

Cursor-based pagination metadata matching envelope middleware output.